org.apache.hadoop.security

## Class SaslRpcServer.SaslDigestCallbackHandler

- java.lang.Object
- - org.apache.hadoop.security.SaslRpcServer.SaslDigestCallbackHandler

- All Implemented Interfaces:
    CallbackHandler
  Enclosing class:
    org.apache.hadoop.security.SaslRpcServer

      @InterfaceStability.Evolving
      public static class SaslRpcServer.SaslDigestCallbackHandler
      extends Object
      implements CallbackHandler

  CallbackHandler for SASL DIGEST-MD5 mechanism

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaslDigestCallbackHandler(SecretManager<TokenIdentifier> secretManager, Server.Connection connection)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(Callback[] callbacks)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SaslDigestCallbackHandler

          public SaslDigestCallbackHandler(SecretManager<TokenIdentifier> secretManager,
                                           Server.Connection connection)

  - ### Method Detail

    - #### handle

          public void handle(Callback[] callbacks)
                      throws SecretManager.InvalidToken,
                             UnsupportedCallbackException,
                             StandbyException,
                             RetriableException,
                             IOException

      Specified by:
        `handle` in interface `CallbackHandler`
      Throws:
        `SecretManager.InvalidToken`
        `UnsupportedCallbackException`
        `StandbyException`
        `RetriableException`
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.